Name:          libavif
Version:       1.3.0
Release:       1mamba
Summary:       Library for encoding and decoding .avif files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/AOMediaCodec/libavif/
Source:        https://github.com/AOMediaCodec/libavif.git/v%{version}/libavif-%{version}.tar.bz2
Patch0:        libavif-0.9.3-libsvt-av1-0.9.1.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libjpeg-turbo
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libyuv-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libsvt-av1-devel >= 2.0.0-1mamba
BuildRequires: cmake
%ifnarch %ix86
%endif
Obsoletes:     libavif13 < 1.0.1
Obsoletes:     libavif15 <= 0.11.1-2mamba

%description
Library for encoding and decoding .avif files .

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Obsoletes:     libavif13-devel < 1.0.1
Obsoletes:     libavif15-deveo <= 0.11.1-2mamba

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Graphics
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libavif13-tools < 1.0.1

%description tools
This package contains utility applications for %{name}.

%prep
%setup -q

%build
%cmake -d build \
\
    -DAVIF_CODEC_SVT=ON \
    -DAVIF_CODEC_AOM=ON \
    -DAVIF_CODEC_DAV1D=ON \
    -DAVIF_BUILD_APPS=ON \
    -DAVIF_BUILD_GDK_PIXBUF=ON

# TODO:
#    -DAVIF_CODEC_RAV1E=ON \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libavif.so.*
%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbufloader-avif.so
%{_datadir}/thumbnailers/avif.thumbnailer
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/avif
%{_includedir}/avif/avif.h
%{_includedir}/avif/avif_cxx.h
%dir %{_libdir}/cmake/libavif
%{_libdir}/libavif.so
%{_libdir}/cmake/libavif/libavif-config*.cmake
%{_libdir}/pkgconfig/libavif.pc
%doc README.md

%files tools
%defattr(-,root,root)
%{_bindir}/avif*

%changelog
* Sat May 10 2025 Automatic Build System <autodist@openmamba.org> 1.3.0-1mamba
- automatic version update by autodist

* Mon Mar 17 2025 Automatic Build System <autodist@openmamba.org> 1.2.1-1mamba
- automatic version update by autodist

* Fri Feb 28 2025 Automatic Build System <autodist@openmamba.org> 1.2.0-1mamba
- automatic version update by autodist

* Wed Jul 31 2024 Automatic Build System <autodist@openmamba.org> 1.1.1-1mamba
- automatic version update by autodist

* Thu Jul 18 2024 Automatic Build System <autodist@openmamba.org> 1.1.0-1mamba
- automatic version update by autodist

* Fri May 03 2024 Automatic Build System <autodist@mambasoft.it> 1.0.4-3mamba
- rebuilt by autoport with build requirements: libsvt-av1-devel>=2.0.0-1mamba

* Tue Mar 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-2mamba
- obsolete libavif15

* Fri Feb 09 2024 Automatic Build System <autodist@openmamba.org> 1.0.4-1mamba
- automatic version update by autodist

* Tue Dec 05 2023 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Fri Nov 17 2023 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Thu Oct 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-2mamba
- obsolete libavif13

* Wed Aug 30 2023 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Fri Oct 21 2022 Automatic Build System <autodist@mambasoft.it> 0.11.1-1mamba
- automatic version update by autodist

* Sun Oct 16 2022 Automatic Build System <autodist@mambasoft.it> 0.11.0-1mamba
- automatic version update by autodist

* Wed May 04 2022 Automatic Build System <autodist@mambasoft.it> 0.10.1-1mamba
- automatic version update by autodist

* Sat Apr 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-4mamba
- rebuilt with libsvt-av1 1.0.0

* Thu Mar 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-3mamba
- rebuilt with libdav1d and libaom

* Thu Mar 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-2mamba
- rebuilt with libyuv, libsvt-av1 and tools

* Thu Mar 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-1mamba
- package created using the webbuild interface
